Sales
Overview
This section provides the information needed to process a sale transaction.
A sale combines an authorization and a capture into a single transaction.
All supported card types can process sales.
Supported Processors
Supported processors: Chase Paymentech Solutions, Elavon Americas, FDC Nashville Global, Streamline, , Worldpay VAP
Endpoint
POST /pts/v2/payments
POST /pts/v2/payments
Example
{ "processingInformation": { "capture": true }, "orderInformation": { "billTo": { "country": "US", "lastName": "VDP", "address1": "201 S. Division St.", "postalCode": "48104-2201", "locality": "Ann Arbor", "administrativeArea": "MI", "firstName": "RTS", "email": "" }, "amountDetails": { "totalAmount": "100.00", "currency": "usd" } }, "paymentInformation": { "card": { "expirationYear": "2031", "number": "CARD_NUMBER", "expirationMonth": "12", "type": "001" } }}{ "_links": { "void": { "method": "POST", "href": "/pts/v2/payments/6485004068966546103093/voids" }, "self": { "method": "GET", "href": "/pts/v2/payments/6485004068966546103093" } }, "clientReferenceInformation": { "code": "RTS-Auth" }, "id": "6485004068966546103093", "orderInformation": { "amountDetails": { "totalAmount": "100.00", "authorizedAmount": "100.00", "currency": "usd" } }, "paymentAccountInformation": { "card": { "type": "001" } }, "paymentInformation": { "tokenizedCard": { "type": "001" }, "card": { "type": "001" } }, "processorInformation": { "systemTraceAuditNumber": "841109", "approvalCode": "831000", "merchantAdvice": { "code": "01", "codeRaw": "M001" }, "responseDetails": "ABC", "networkTransactionId": "016153570198200", "retrievalReferenceNumber": "208720841109", "consumerAuthenticationResponse": { "code": "2", "codeRaw": "2" }, "transactionId": "016153570198200", "responseCode": "00", "avs": { "code": "Y", "codeRaw": "Y" } }, "reconciliationId": "6485004068966546103093", "status": "AUTHORIZED", "submitTimeUtc": "2022-03-28T20:46:47Z"}Required Fields
These fields are required for a successful sale.
Required Fields for Sales
clientReferenceInformation.code
clientReferenceInformation.partner.solutionId
Set the value to CNP.
clientReferenceInformation.reconciliationId
Applies to , Bank of America, NAB, and Visa Acceptance Solutions audiences.
clientReferenceInformation.transactionId
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
orderInformation.billTo.address1
orderInformation.billTo.administrativeArea
orderInformation.billTo.country
orderInformation.billTo.email
orderInformation.billTo.firstName
orderInformation.billTo.lastName
orderInformation.billTo.locality
orderInformation.billTo.postalCode
paymentInformation.card.expirationMonth
paymentInformation.card.expirationYear
paymentInformation.card.number
paymentInformation.card.securityCode
Required for .
paymentInformation.card.type
Required for .
processingInformation.capture
Set the value to true.
Thanks for your feedback!
Last published: October 28, 2026